Subject: Re: [OSPF] RFC 3101 NSSA/External Route preference clarification

From: "Balaji Ganesh (balagane)" <[email-masked]>
Date: Wed, 5 Jul 2017 06:01:24 +0000

Hi all,

Any views/comments on the below?

Regards,
Balaji

From: Acee Lindem (acee)
Sent: 19 June 2017 00:08
To: Balaji Ganesh (balagane) <[email-masked]>; OSPF WG List <[email-masked]>
Subject: Re: [OSPF] RFC 3101 NSSA/External Route preference clarification

Hi –  I encouraged Balaji to post to the list is that I think many implementations have ignored #3. I know that I changed the IBM implementation to compute ECMP routes to multiple ASBRs and had the Redback implementation do this from the start. Consequently, we’d like to solicit input as to what other implementations do. If we can reach consensus on this, we could issue an Errata to make this optional.

Thanks,
Acee

From: OSPF <[email-masked]<mailto:[email-masked]>> on behalf of "Balaji Ganesh (balagane)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, June 13, 2017 at 4:13 AM
To: OSPF WG List <[email-masked]<mailto:[email-masked]>>
Subject: [OSPF] RFC 3101 NSSA/External Route preference clarification

Hi all,

When the metrics are same, RFC 3101 specifies the preference for NSSA/External routes as follows.
In the section 2.5<https://tools.ietf.org/html/rfc3101#section-2.5> Calculating Type-7 AS External Routes - 2.5.6.(e), it says..

          (e) If the current LSA is functionally the same as an
              installed LSA (i.e., same destination, cost and non-zero
              forwarding address) then apply the following priorities in
              deciding which LSA is preferred:

                 1. A Type-7 LSA with the P-bit set.

                 2. A Type-5 LSA.

                 3. The LSA with the higher router ID.

Points 1 and 2 are clear..

However Point 3 specifies preference of an LSA with a higher router ID. Why is it so?

-          Should we not install ECMP paths in this case?

-          Is point 3 actually intended for NSSA translators to prefer a Type 7 LSA which needs to be used for translation to Type 5?

Considering the above 2 points, I guess point 3 needs to be modified in the RFC to probably say..

                    3. Preference is same, install ECMP paths.
                       Additionally if the router is an NSSA translator, prefer the LSA with higher router ID for Type 7-Type 5 translation.

Please let know any views/comments on the same.

Regards,
Balaji

---

From: Chao Fu <[email-masked]>
Date: Wed, 5 Jul 2017 07:02:46 +0000

Hi all,

In my opinion rule (e) should be removed. ( https://mailarchive.ietf.org/arch/search/?email_list=ospf&q=%5BTechnical+Errata+Reported%5D+RFC3101 ).
If not, it should be clarified more including removing “2. A Type-5 LSA.”

Regards,
Chao Fu

From: OSPF [mailto:[email-masked]] On Behalf Of Balaji Ganesh (balagane)
Sent: Wednesday, July 05, 2017 14:01
To: OSPF WG List <[email-masked]>; Acee Lindem (acee) <[email-masked]>
Subject: Re: [OSPF] RFC 3101 NSSA/External Route preference clarification

Hi all,

Regards,
Balaji

From: Acee Lindem (acee)
Sent: 19 June 2017 00:08
To: Balaji Ganesh (balagane) <[email-masked]<mailto:[email-masked]>>; OSPF WG List <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OSPF] RFC 3101 NSSA/External Route preference clarification

Thanks,
Acee

Hi all,

                 2. A Type-5 LSA.

  *   Should we not install ECMP paths in this case?
  *   Is point 3 actually intended for NSSA translators to prefer a Type 7 LSA which needs to be used for translation to Type 5?

Regards,
Balaji

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 5 Jul 2017 17:36:18 +0000

Hi Chao,

I think rules (e) 1 and (e) 2 should remain to handle the case of an NSSA that receives both the intra-NSSA LSA and a translated AS External LSA (via a backbone path). I only think that rule (e) 3 needs to be relaxed. If we were doing another NSSA BIS, I’d remove it completely but since we are just talking about an Errata, I think we should just make the Router ID tie-breaker optional.

Thanks,
Acee

From: Chao Fu <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, July 5, 2017 at 3:02 AM
To: "Balaji Ganesh (balagane)" <[email-masked]<mailto:[email-masked]>>, OSPF WG List <[email-masked]<mailto:[email-masked]>>, Acee Lindem <[email-masked]<mailto:[email-masked]>>
Subject: RE: [OSPF] RFC 3101 NSSA/External Route preference clarification

Hi all,

Regards,
Chao Fu

From: OSPF [mailto:[email-masked]] On Behalf Of Balaji Ganesh (balagane)
Sent: Wednesday, July 05, 2017 14:01
To: OSPF WG List <[email-masked]<mailto:[email-masked]>>; Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OSPF] RFC 3101 NSSA/External Route preference clarification

Hi all,

Regards,
Balaji

From: Acee Lindem (acee)
Sent: 19 June 2017 00:08

Thanks,
Acee

Hi all,

                 2. A Type-5 LSA.

Regards,
Balaji

---

From: Jeff Tantsura <[email-masked]>
Date: Wed, 5 Jul 2017 12:31:38 -0700

Hi,

I find Acee's proposal reasonable and support it "as is".

Regards,
Jeff

> On Jul 5, 2017, at 10:36, Acee Lindem (acee) <[email-masked]> wrote:
> 
> Hi Chao, 
> 
> From: Chao Fu <[email-masked]>
> To: "Balaji Ganesh (balagane)" <[email-masked]>, OSPF WG List <[email-masked]>, Acee Lindem <[email-masked]>
> From: OSPF <[email-masked]> on behalf of "Balaji Ganesh (balagane)" <[email-masked]>
> To: OSPF WG List <[email-masked]>
> In the section 2.5 Calculating Type-7 AS External Routes - 2.5.6.(e), it says..
>  
> Should we not install ECMP paths in this case?
> Is point 3 actually intended for NSSA translators to prefer a Type 7 LSA which needs to be used for translation to Type 5?
>  
> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 20 Jul 2017 14:49:14 +0000

(+David)

I just looked at the Free Range Routing GitHub (https://github.com/FRRouting/frr/blob/master/ospfd/ospf_ase.c) and they do not support NSSA (RFC 3107) and do NOT use the ASBR Router-ID to break ties in the AS External route calculation so this would support making the tie-breaker optional.

Thanks,
Acee

From: Jeff Tantsura <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, July 5, 2017 at 3:31 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>
Cc: Chao Fu <[email-masked]<mailto:[email-masked]>>, "Balaji Ganesh (balagane)" <[email-masked]<mailto:[email-masked]>>, OSPF WG List <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OSPF] RFC 3101 NSSA/External Route preference clarification

Hi,

Regards,
Jeff

On Jul 5, 2017, at 10:36, Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:

Hi Chao,

Thanks,
Acee

Hi all,

Regards,
Chao Fu

Hi all,

Regards,
Balaji

From: Acee Lindem (acee)
Sent: 19 June 2017 00:08

Thanks,
Acee

Hi all,

                 2. A Type-5 LSA.

Regards,
Balaji

_______________________________________________
OSPF mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ospf

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 20 Jul 2017 14:50:58 +0000

Been working on BGP too much lately.  Of course, I meant RFC 3101…
Acee

From: OSPF <[email-masked]<mailto:[email-masked]>> on behalf of Acee Lindem <[email-masked]<mailto:[email-masked]>>
Date: Thursday, July 20, 2017 at 10:49 AM
To: Jeff Tantsura <[email-masked]<mailto:[email-masked]>>, David Lamparter <[email-masked]<mailto:[email-masked]>>
Cc: OSPF WG List <[email-masked]<mailto:[email-masked]>>
Subject: Re: [OSPF] RFC 3101 NSSA/External Route preference clarification

 (+David)

Thanks,
Acee

Hi,

Regards,
Jeff

Hi Chao,

Thanks,
Acee

Hi all,

Regards,
Chao Fu

Hi all,

Regards,
Balaji

From: Acee Lindem (acee)
Sent: 19 June 2017 00:08

Thanks,
Acee

Hi all,

                 2. A Type-5 LSA.

Regards,
Balaji

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 21 Jul 2017 02:02:29 +0000

Hi Acee,

Implementations would definitely want to use the ECMP for better functionality in this scenario and as we’ve discussed, it should not cause any interop issues or looping. The “optionally” ensures that existing implementations are not made non-compliant. The proposed RFC3101 errata way of addressing this seems to be the best way forward.

Thanks,
Ketan

From: OSPF [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: 20 July 2017 20:21
To: Acee Lindem (acee) <[email-masked]>; Jeff Tantsura <[email-masked]>; David Lamparter <[email-masked]>
Cc: OSPF WG List <[email-masked]>
Subject: Re: [OSPF] RFC 3101 NSSA/External Route preference clarification

 (+David)

Thanks,
Acee

Hi,

Regards,
Jeff

Thanks,
Acee

Hi all,

Regards,
Chao Fu

Hi all,

Regards,
Balaji

From: Acee Lindem (acee)
Sent: 19 June 2017 00:08

Thanks,
Acee

Hi all,

                 2. A Type-5 LSA.

Regards,
Balaji